
Figure - Bug #116158
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【音乐】打开音乐应用，显示的页面风格与视频应用一致
2023-02-10 17:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-10

Priority: Normal Due date: 2023-02-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

Reproducibility: Rarely Fixed Version: 2023-02-16

Test Type: ST Root cause: 需求变更

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开安兔兔测评

2、开启压力测试（模拟cpu占有率达到90%的情况）

3、正常测试

4、打开音乐应用

【预期结果】

4、正常显示音乐应用页面

【实际结果】

4、打开音乐应用，显示的页面风格与视频应用一致

History

#1 - 2023-02-10 18:24 - CD TEST-方永红

- File Phone-STS40X190078 2023-02-10 18-23-23.mp4 added

测试内容补充

现在发现一个复现步骤如下

1、打开音乐

2、拒绝权限申请

3、轻微向上滑动，使弹窗消失

即可得到上述页面

#2 - 2023-02-14 11:05 - CD APP-王营

- Due date set to 2023-02-17

- Status changed from New to ASSIGNED

#3 - 2023-02-15 15:28 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

■ Current conclusion

问题已修复，待测试同事验证

■ My analysis

已经很需求王浩云沟通，副屏不具备电话功能，现将music应用中请求读取电话状态权限移除，

原设计逻辑是为了处理在播放音乐过程中接打电话的场景，移除后副驾声音由中控统一处理。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/181894

#4 - 2023-02-15 15:28 - CD APP-王营

- Degrated changed from -- to No

- Fixed Version set to 2023-02-16

- Root cause set to 需求变更

#5 - 2023-02-15 16:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181894 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: SnapdragionMusic: Remove permission READ_PHONE_STATE1. Remove permission READ_PHONE_STATE for new requirement.TC-RID:

1201-0301201IssueID: TS-R-BUG-116158Change-Id: I169f3633aacb7ae02cbf4ac53f471f042b00a25e

#6 - 2023-02-15 16:14 - CD APP-王营

- Assignee changed from CD APP-王营 to CD TEST-方永红

#7 - 2023-02-16 10:20 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

2.16

验证通过

#8 - 2023-02-16 10:20 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

log.zip 878 KB 2023-02-10 CD TEST-方永红

1736.png 28.4 KB 2023-02-10 CD TEST-方永红

Phone-STS40X190078 2023-02-10 18-23-23.mp4 17.8 MB 2023-02-10 CD TEST-方永红
